package com.bonus.canteen.core.drp.v2.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpAndroidRegisterMaterialPageVO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("注册状态(1已注册,2未注册)")
   private Integer ifRegister;
   @ApiModelProperty("是否采集(1已采集,2未采集)")
   private Integer ifCollect;
   @ApiModelProperty("已采集图片数量")
   private Integer imageNum;

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Integer getIfRegister() {
      return this.ifRegister;
   }

   public Integer getIfCollect() {
      return this.ifCollect;
   }

   public Integer getImageNum() {
      return this.imageNum;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setIfRegister(final Integer ifRegister) {
      this.ifRegister = ifRegister;
   }

   public void setIfCollect(final Integer ifCollect) {
      this.ifCollect = ifCollect;
   }

   public void setImageNum(final Integer imageNum) {
      this.imageNum = imageNum;
   }

}
